package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Brand;
import com.zh.project0512.model.ReferenceGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.Task;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-24
 */
public interface ReferenceGroupMapper extends BaseMapper<ReferenceGroup> {
//    IPage<ReferenceGroup> selectPage(IPage<ReferenceGroup> page, @Param("ew") Wrapper<ReferenceGroup> queryWrapper);
    @Update("update referenceGroup set sortWeight = sortWeight + 1;\n" +
        "insert into referenceGroup ( name,coverUrl, creatAt,sortWeight) VALUES ( #{name}, #{coverUrl},#{creatAt},1 );")
    void addReferenceGroup(ReferenceGroup referenceGroup);
    @Update("<script>" +
        "update referenceGroup set sortWeight = -1 where sortWeight = #{origin};\n" +
        "<if test='originHigherCurrent'> " +
        "update referenceGroup set sortWeight = sortWeight + 1 where sortWeight &gt;= #{current} and sortWeight &lt; #{origin};"+
        "</if>" +
        "<if test='!originHigherCurrent'> " +
        "update referenceGroup set sortWeight = sortWeight - 1 where sortWeight &gt; #{origin} and sortWeight &lt;= #{current};\n" +
        "</if>" +
        "update referenceGroup set sortWeight = #{current} where sortWeight = -1;" +
        "</script>")
    void updSort(int origin, int current, boolean originHigherCurrent);
}
