package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.UserAccount;
import com.zh.project0512.model.UserReference;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
public interface UserReferenceMapper extends BaseMapper<UserReference> {
    @Insert("<script> " +
        "insert into userReference (userId,referenceId,creatAt) values\n"+
        "  <foreach collection= 'referenceIdList' item= 'item'  separator=','>\n" +
        "(#{userId},#{item},#{creatAt})\n"+
        "</foreach> \n"+
        "</script>")
    void addGroup(int userId,List<Integer> referenceIdList, LocalDateTime creatAt);
    @Select("<script>" +
        "SELECT date_format(t2.creatAt, '%Y-%m-%d') dat " +
        "from reference t1 " +
        "right join (SELECT t2.* from userReference as t2 left JOIN user as t3 on t3.id = t2.userId WHERE t3.openid = #{openid} GROUP BY referenceId) as t2 on t1.id = t2.referenceId " +
        "WHERE t1.id "+
        "group by dat  " +
        "ORDER BY dat DESC" +
        "</script>")
    IPage<String> dateList(IPage iPage,String openid);
    List<Map> list(String openid,List<String> list);
}
