package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author zh
 * @since 2022-06-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class Admin extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 账号名称
     */
    private String name;

    /**
     * 手机号
     */
    private String tel;

    /**
     * 密码
     */
    private String password;

    /**
     * 用户类型：1.平台超级管理员，2.平台普通管理员
     */
    private Integer type;

    /**
     * 是否删除，1.非删，0.删除
     */
    @TableField("isDelete")
    private Integer isDelete;

    /**
     * 创建人id
     */
    @TableField("creatId")
    private Integer creatId;

    /**
     * 即时token
     */
    private String token;

    /**
     * 创建时间
     */
    @TableField("creatAt")
    private LocalDateTime creatAt;

    /**
     * 更新时间
     */
    @TableField("updateAt")
    private LocalDateTime updateAt;

    /**
     * 上次登录时间
     */
    @TableField("lastLoginAt")
    private LocalDateTime lastLoginAt;

    /**
     * 状态：1.启用，2.禁用
     */
    private Integer status;


}
