package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Schema
public class Brand extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 车型名称
     */
    @Schema(title = "名称")
    private String name;

    @TableField("creatAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatAt;

    @TableField("updateAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    /**
     * 是否为热点:1是；0否
     */
    @Schema(title = "是否为热点",description = "1是；0否")
    private Integer hot;

    /**
     * 点击数
     */
    @Schema(title = "点击数")
    private Integer hits;

    /**
     * 排序权重:数字越小排序靠前
     */
    @Schema(title = "排序权重:数字越小排序靠前")
    @TableField("sortWeight")
    private Integer sortWeight;
}
