package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class Rank implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 关联主键id（用户主键id,经销商主键id）
     */
    @TableField("linkId")
    private String linkId;
    /**
     * 类型：1.经销商，2.员工
     */
    private Integer type;
    /**
     * 标题
     */
    private String title;
    /**
     * 副标题
     */
    private String subtitle;
    /**
     * 传播值
     */
    private Integer value;
    /**
     * 开始时间
     */
    @TableField("dateStart")
    private Date dateStart;
    /**
     * 结束时间
     */
    @TableField("dateEnd")
    private Date dateEnd;
    /**
     * 创建时间
     */
    @TableField("createDate")
    private Date createDate;
}
